Subject: Re: Getting CVS and Git to play nicely in the same box

From: Jakub Narebski <[email-masked]>
Date: Thu, 30 Nov 2006 15:16:21 +0100

Alex Bennee wrote:
> On Thu, 2006-11-30 at 14:08 +0100, Jakub Narebski wrote:
>> Alex Bennee wrote:
>> 
>>> Has anyone successfully set up such a working environment? Can anyone
>>> offer any tips on how to make it all work nicely?
>> 
>> Why not use git-cvsserver? Or port git-svn to CVS (or use Tailor)?
> 
> I can't use git-cvsserver because the main repository is going to have
> to stay on CVS for the time being. I don't think it could be used as a
> drop in replacement for our existing server anyway as it doesn't support
> tagging or branching.
> 
> Using git is my own personal indulgence (At least until I can
> demonstrate it's worth while the other migrating ;-).

Perhaps if not git-cvsserver, then git-cvsimport (or parsecvs, or cvs2git)
and git-exportcommit would be what you want.

> It looks like git-svn  is the sort of tool I'd want for CVS although I'm
> not sure how it would live with our CVS branched development model. I'll
> have a poke around Tailor and see if that offers any help.

Well, Tailor used to work only with linear histories. But it is meant to
maintain parallel repositories in different formats.
-- 
Jakub Narebski